import server5 from "@/assets/icon-png/menuList/server (5).svg";
import layer from "@/assets/svg/layers (3).svg";

export default {
  path: "/background",
  meta: {
    title: "管理后台",
    // icon: "ri:settings-3-line",
    icon: layer,
    rank: 6
  },
  children: [
    {
      path: "/background/framework",
      name: "backgroundIndex",
      meta: {
        title: "组织架构",
        icon: server5
      },
      children: [
        {
          path: "/background/framework/proson/prosonDepartment",
          name: "prosonDepartment",
          meta: {
            title: "人员与部门",
            auths: [],
            showParent: true
          },
          component: () =>
            import("@/views/background/framework/proson/prosonDepartment.vue")
        },
        {
          path: "/background/framework/roles/rolePower",
          name: "rolePower",
          meta: {
            auths: [],
            title: "角色与权限",
            showParent: true
          },
          component: () =>
            import("@/views/background/framework/roles/rolePower.vue")
        },
        {
          path: "/background/framework/users/index",
          name: "users",
          meta: {
            auths: [],
            title: "用户组",
            showParent: true
          },
          component: () =>
            import("@/views/background/framework/users/index.vue")
        }
      ]
    }
  ]
} satisfies RouteConfigsTable;
